Expenses
Create Hris Expense File Upload
Registers a receipt file record and returns a presigned S3 upload URL.
POSThttps://api.toku.com/hris/create-hris-expense-file-upload
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/create-hris-expense-file-upload' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fileName": "string",
"fileMimeType": "application/pdf",
"fileSizeInBytes": 0
}'200 response
{
"fileID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"fileName": "string",
"fileMimeType": "string",
"fileSizeInBytes": 0,
"uploadUrl": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fileNamestringrequiredAllowed: 1 to 255 characters
fileMimeTypestringrequiredAvailable options: application/pdf, image/png, image/jpeg, image/heic, image/heif
fileSizeInBytesintegerrequiredAllowed: at least 1
Response
200Successful response
fileIDstring<uuid>requiredfileNamestringrequiredfileMimeTypestringrequiredfileSizeInBytesintegerrequiredAllowed: at least 0
uploadUrlstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits